Subject: Re: Help to compile an activestate perl module under cygwin ( Win32-API & assembly )
From: Dave Yearke <[email-masked]>
To: [email-masked]
Date: Mon, 16 Aug 2004 09:52:54 -0400

Stephen More schrieb:
> I found a patch from an earlier cygwin post:
http://www.cygwin.com/ml/cygwin/2003-01/msg00594.html
> I assume this will fix it. Is there any way we can get a new version
> with this patch posted on cpan ?

I was able to get libwin32-0.191 to build with the latest Cygwin + gcc +
perl 5.8.5, using the patch cited above plus a couple of fixes of my
own, which I've attached. The resulting build did not pass all the
tests, but it works well enough to get me back in business wrt using
Win32::OLE in various perl scripts.

I hope this helps.

-- 
                      Dave Yearke, [email-masked]
                    "Things should be as simple as possible,
                      but no simpler." -- Albert Einstein
*** libwin32-0.191/Job/Job.xs.orig	Sat Aug 14 22:48:19 2004
--- libwin32-0.191/Job/Job.xs	Sat Aug 14 22:53:52 2004
***************
*** 76,89 ****
  }
  
  #undef TerminateJobObject
! BOOL TerminateJobObject(HANDLE hJob, UINT uExitCode)
  {
  	if (kernel32_dll == NULL) { kernel32_init(); }
  	return (BOOL)(*kernel32_TerminateJobObject)(hJob, uExitCode);
  }
  
  #undef AssignProcessToJobObject
! BOOL AssignProcessToJobObject(HANDLE hJob, HANDLE hProcess)
  {
  	if (kernel32_dll == NULL) { kernel32_init(); }
  	return (BOOL)(*kernel32_AssignProcessToJobObject)(hJob, hProcess);
--- 76,89 ----
  }
  
  #undef TerminateJobObject
! BOOL WINAPI TerminateJobObject(HANDLE hJob, UINT uExitCode)
  {
  	if (kernel32_dll == NULL) { kernel32_init(); }
  	return (BOOL)(*kernel32_TerminateJobObject)(hJob, uExitCode);
  }
  
  #undef AssignProcessToJobObject
! BOOL WINAPI AssignProcessToJobObject(HANDLE hJob, HANDLE hProcess)
  {
  	if (kernel32_dll == NULL) { kernel32_init(); }
  	return (BOOL)(*kernel32_AssignProcessToJobObject)(hJob, hProcess);
*** libwin32-0.191/OLE/OLE.xs.orig	Sat Aug 14 22:48:19 2004
--- libwin32-0.191/OLE/OLE.xs	Sat Aug 14 22:58:24 2004
***************
*** 51,56 ****
--- 51,57 ----
  #   include <netdb.h>
  #   include <sys/socket.h>
  #   include <unistd.h>
+ #   include <w32api/olectl.h>
  #   define _wcscmpi _wcsicmp
      int	_wcsicmp(const wchar_t*, const wchar_t*);	/* likewise */
      long _wtol (const wchar_t*);	/* from mingw stdlib.h */

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/